Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 778896 - app-admin/prelude-manager-5.2.0 - prelude-manager.c:(<snip>) undefined reference to lt_PROGRAM_LTX_preloaded_symbols
Summary: app-admin/prelude-manager-5.2.0 - prelude-manager.c:(<snip>) undefined refere...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: slibtool
  Show dependency tree
 
Reported: 2021-03-28 10:18 UTC by Toralf Förster
Modified: 2022-12-20 14:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,19.33 KB, text/plain)
2021-03-28 10:18 UTC, Toralf Förster
Details
app-admin:prelude-manager-5.2.0:20210328-051720.log (app-admin:prelude-manager-5.2.0:20210328-051720.log,193.14 KB, text/plain)
2021-03-28 10:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,418.97 KB, text/plain)
2021-03-28 10:18 UTC, Toralf Förster
Details
environment (environment,77.32 KB, text/plain)
2021-03-28 10:18 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,29.65 KB, application/x-bzip)
2021-03-28 10:19 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,29.18 KB, application/x-bzip)
2021-03-28 10:19 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,37.75 KB, application/x-bzip)
2021-03-28 10:19 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-03-28 10:18:53 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: prelude-manager.o: warning: relocation against `lt__PROGRAM__LTX_preloaded_symbols' in read-only section `.text.startup'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: prelude-manager.o: in function `main':
prelude-manager.c:(.text.startup+0xab): undefined reference to `lt__PROGRAM__LTX_preloaded_symbols'
/usr/lib/gcc/x86_64-pc-linux-gnu/10.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: warning: creating DT_TEXTREL in a PIE
collect2: error: ld returned 1 exit status
rdlibtool: exec error upon slbt_exec_link_create_executable(), line 1614: (see child process error messages).

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20210315-143628

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.1
 [2] x86_64-pc-linux-gnu-10.2.0 *
clang version 11.1.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/11/bin
/usr/lib/llvm/11
11.1.0
Python 3.8.8
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby27 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.50.0 *
The following VMs are available for generation-2:
1)	IcedTea JDK 3.17.1 [icedtea-8]
2)	IcedTea JDK 3.16.0 [icedtea-bin-8]
3)	OpenJDK 8.282_p08 [openjdk-8]
*)	AdoptOpenJDK 8.282_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8 
  [3]   openjdk-8 
  [4]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sun Mar 28 04:36:02 UTC 2021

emerge -qpvO app-admin/prelude-manager
[ebuild  N    ] app-admin/prelude-manager-5.2.0  USE="xml -dbx -geoip -snmp -tcpwrapper"
Comment 1 Toralf Förster gentoo-dev 2021-03-28 10:18:55 UTC
Created attachment 695337 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-03-28 10:18:56 UTC
Created attachment 695340 [details]
app-admin:prelude-manager-5.2.0:20210328-051720.log
Comment 3 Toralf Förster gentoo-dev 2021-03-28 10:18:58 UTC
Created attachment 695343 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-03-28 10:18:59 UTC
Created attachment 695346 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-03-28 10:19:01 UTC
Created attachment 695349 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-03-28 10:19:02 UTC
Created attachment 695352 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-03-28 10:19:03 UTC
Created attachment 695355 [details]
temp.tar.bz2
Comment 8 orbea 2021-03-28 14:05:57 UTC
Upstream issue. https://dev.midipix.org/cross/slibtool/issue/2
Comment 9 orbea 2022-07-10 21:26:08 UTC
The ltdl dependency is from dev-libs/libprelude and it either needs to be removed there or supported in slibtool.
Comment 10 Larry the Git Cow gentoo-dev 2022-12-20 14:26:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=064ad0eacceb8a748494c3f9c50de6e924aaae53

commit 064ad0eacceb8a748494c3f9c50de6e924aaae53
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-12-20 13:53:03 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-12-20 14:25:27 +0000

    app-admin/prelude-manager: treeclean
    
    Closes: https://bugs.gentoo.org/854186
    Closes: https://bugs.gentoo.org/778896
    Closes: https://bugs.gentoo.org/728546
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 app-admin/prelude-manager/Manifest                 |  1 -
 .../files/prelude-manager-3.1.0-run.patch          | 13 ----
 .../prelude-manager/files/prelude-manager.initd    | 25 --------
 .../prelude-manager/files/prelude-manager.run      |  4 --
 .../prelude-manager/files/prelude-manager.service  | 14 -----
 app-admin/prelude-manager/metadata.xml             | 16 -----
 .../prelude-manager-5.2.0-r1.ebuild                | 73 ----------------------
 profiles/package.mask                              |  6 --
 8 files changed, 152 deletions(-)